import javax.swing.*;
import java.awt.*;
public class TestDieWindow extends JFrame {
   public TestDieWindow() {
       DieModel model = new DieModel();
       DieView view = new DieView(model);
       GraphicDie theDie = new GraphicDie();
       DieController controller = new DieController(model, view, theDie);
       setLayout(new GridLayout(3,1));
       add(theDie);
       add(view);
       add(controller);
       setSize(300, 300);
       setVisible(true);
       setDefaultCloseOperation(EXIT_ON_CLOSE);
   }//constructor
   public static void main(String[] args) {
       JFrame w = new TestDieWindow();
   }//main
}//TestDieWindow
